# FoundationClasses
TKMath
Poly

# Poly_Array1OfTriangle Class Reference

`#include <Poly_Array1OfTriangle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Poly_Array1OfTriangle (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Poly_Array1OfTriangle (const Poly_Triangle &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Poly_Triangle &V)
Standard_EXPORT void | Destroy ()
| ~Poly_Array1OfTriangle ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Poly_Array1OfTriangle & | Assign (const Poly_Array1OfTriangle &Other)
const Poly_Array1OfTriangle & | operator= (const Poly_Array1OfTriangle &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Poly_Triangle &Value)
const Poly_Triangle & | Value (const Standard_Integer Index) const
const Poly_Triangle & | operator() (const Standard_Integer Index) const
Poly_Triangle & | ChangeValue (const Standard_Integer Index)
Poly_Triangle & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Poly_Array1OfTriangle (const Poly_Array1OfTriangle &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Poly_Array1OfTriangle::Poly_Array1OfTriangle | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Poly_Array1OfTriangle::Poly_Array1OfTriangle | ( | const Poly_Triangle & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Poly_Array1OfTriangle::~Poly_Array1OfTriangle | ( |  | ) | `[inline]`

Standard_EXPORT Poly_Array1OfTriangle::Poly_Array1OfTriangle | ( | const Poly_Array1OfTriangle & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Poly_Array1OfTriangle& Poly_Array1OfTriangle::Assign | ( | const Poly_Array1OfTriangle & | Other | ) |

Poly_Triangle& Poly_Array1OfTriangle::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Poly_Array1OfTriangle::Destroy | ( |  | ) |

Standard_EXPORT void Poly_Array1OfTriangle::Init | ( | const Poly_Triangle & | V | ) |

Standard_Boolean Poly_Array1OfTriangle::IsAllocated | ( |  | ) | const

Standard_Integer Poly_Array1OfTriangle::Length | ( |  | ) | const

Standard_Integer Poly_Array1OfTriangle::Lower | ( |  | ) | const

void Poly_Array1OfTriangle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Poly_Array1OfTriangle::operator new | ( | size_t | size | ) | `[inline]`

void* Poly_Array1OfTriangle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Poly_Triangle& Poly_Array1OfTriangle::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Poly_Triangle& Poly_Array1OfTriangle::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Poly_Array1OfTriangle& Poly_Array1OfTriangle::operator= | ( | const Poly_Array1OfTriangle & | Other | ) | `[inline]`

void Poly_Array1OfTriangle::SetValue | ( | const Standard_Integer | Index,
|  | const Poly_Triangle & | Value
| ) |

Standard_Integer Poly_Array1OfTriangle::Upper | ( |  | ) | const

const Poly_Triangle& Poly_Array1OfTriangle::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Poly_Array1OfTriangle::isAllocated `[private]`

Standard_Integer Poly_Array1OfTriangle::myLowerBound `[private]`

Standard_Address Poly_Array1OfTriangle::myStart `[private]`

Standard_Integer Poly_Array1OfTriangle::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Poly_Array1OfTriangle.hxx